# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [0.0.57](https://github.com/cdmbase/fullstack-pro/compare/v0.0.56...v0.0.57) (2020-03-26)

**Note:** Version bump only for package @files-stack/client-react





## [0.0.56](https://github.com/cdmbase/fullstack-pro/compare/v0.0.55...v0.0.56) (2020-03-26)


### Code Refactoring

* **Move redux action for selectFile to apollo client:** Use of `Context`  cache for file Selection ([51fc314](https://github.com/cdmbase/fullstack-pro/commit/51fc314ddcc53c824e9c8021e4af7dc24d5733e5))


### Performance Improvements

* **Improve File Save and Editor:** Save Edited File data incrementally to the server ([805100b](https://github.com/cdmbase/fullstack-pro/commit/805100bc8447c2f6c348ced88741d2fac4d63679)), closes [#302](https://github.com/cdmbase/fullstack-pro/issues/302) [#295](https://github.com/cdmbase/fullstack-pro/issues/295)


### Reverts

* Revert "test without theme" ([0ae8386](https://github.com/cdmbase/fullstack-pro/commit/0ae8386680b8888a4de5c2c072b9d2dcfc4f0f95))


### BREAKING CHANGES

* **Move redux action for selectFile to apollo client:** Redux Actions.SELECT_FILE and DESELECT_FILE are now replaced with `useSelectedResourceQuery` to get updates on `selectedFile` and `useUpdateSelectedResourceMutation` for updating the selectedFile.
